LinkChunkHandler (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.wave
Class LinkChunkHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          edu.harvard.hul.ois.jhove.module.wave.LinkChunkHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class LinkChunkHandler

extends org.xml.sax.helpers.DefaultHandler

This handler parses the data of a WAVE List chunk.

Author:
  Gary McGath

Constructor Summary
`LinkChunkHandler()`

Method Summary
`void` | `characters(char[] ch, int start, int length)` SAX parser callback method for PC text.
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String rawName)` SAX parser callback method.
`java.util.List` | `getFileNames()` Accessor for getting file name list.
`java.lang.String` | `getID()` Accessor for getting the ID element.
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName, org.xml.sax.Attributes atts)` Looks for the first element encountered.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkChunkHandler

    public LinkChunkHandler()

Method Detail

### getFileNames

    public java.util.List getFileNames()

  Accessor for getting file name list. The value returned is meaningful only after parsing. The value returned is guaranteed not to be null, but may be empty.

### getID

    public java.lang.String getID()

  Accessor for getting the ID element. The value returned may be null, as the ID element is optional.

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qualifiedName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Looks for the first element encountered. Stores its name as the value to be returned by getRoot, qualified name by preference, local name if the qualified name isn't available.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  SAX parser callback method for PC text.

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String rawName)
                    throws org.xml.sax.SAXException

  SAX parser callback method.

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD